Package org.eclipse.m2m.atl.emftvm.util

## Class EnumConversionSetOnSet.EnumConversionIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
    - - org.eclipse.m2m.atl.emftvm.util.EnumConversionSetOnSet.EnumConversionIterator

All Implemented Interfaces:
  `java.util.Iterator<java.lang.Object>`

Enclosing class:
  EnumConversionSetOnSet

    public class EnumConversionSetOnSet.EnumConversionIterator
    extends LazyCollection.CachingIterator

`Iterator` for `EnumConversionList`.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

### Constructor Summary

Constructors
`EnumConversionIterator()` Creates a new `EnumConversionSetOnSet.EnumConversionIterator`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`hasNext, updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### EnumConversionIterator

    public EnumConversionIterator()

Creates a new `EnumConversionSetOnSet.EnumConversionIterator`.

### Method Detail

#### next

    public java.lang.Object next()

Specified by:
  `next` in interface `java.util.Iterator<java.lang.Object>`
Overrides:
  `next` in class `LazyCollection.CachingIterator`